<?php
	if (!isset($_SESSION['nazwa'])) {
		header('Location: login.php');
		exit();
	}
	if ($_SESSION['status']<2) {
?>
<script type="text/javascript">
<?php
	echo "var s = 'http://".$_SERVER['HTTP_HOST']."/index.php?m=0';";
?>
	window.location.href = s;
</script>
<?php
		exit();
	}
	
	$uid = $_SESSION['id'];
	
	date_default_timezone_set('Europe/Warsaw');
	require_once('wiras_php/wa_baza/wa_polacz.php');
	$zap = "SELECT * FROM zwierzenia 
			WHERE odpowiedz='' ORDER BY data_pyt DESC";
	$wynik_pobierz = mysqli_query($db, $zap);
	$lo = $wynik_pobierz->num_rows;
	if ($lo>0) {
	$wynik = array();
	while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
		{
			$wynik[] = $wiersz;
		}
	}
	$zap = "SELECT * FROM zwierzenia 
			WHERE id_userodp=$uid ORDER BY data_odp DESC";
	$wynik_pobierz = mysqli_query($db, $zap);
	$luo = $wynik_pobierz->num_rows;
	if ($luo>0) {
	$moje_odpowiedzi = array();
	while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
		{
			$moje_odpowiedzi[] = $wiersz;
		}
	}
?>

	<div id="pz_content">
		<div id="pz_tytul" style="width: 700px; height: 30px; color: #f00; margin: 5px auto;">
		<p id="zwierz_tytul">POKÓJ ZWIERZEŃ - Odpowiedzi asystentów na pytania</p>
		</div>

<?php			
		echo '<div id="pzo_odpowiedz1">';
		echo '<p id="zwierz_info">Pytania bez odpowiedzi</p>';
		if ($lo>0) {
			for ($i=0; $i<$lo; $i++) {
				$nrid = $wynik[$i][0];
				echo '<div id="asystentzw_pytania" class="obz'.$i.'">';
				echo '<b>Pytanie nr: '.($i+1).'</b><br />';
				echo $wynik[$i][3].'<br /><br />';
				echo '<input type="submit" id="button_menu" value="Zaznacz pytanie" name="odpowiedz" class="asz'.$i.'">';
				echo '</div>';
				echo '<div id="pz_pytanieo" class="pzp'.$i.'">';
					echo '<p id="asystentzw_p1">Wpisz treść odpowiedzi na pytanie nr: '.($i+1).'</p>';
						echo '<form id="pz_form" name="pz_form" action="" method="post">';
						echo '<textarea id="pz_tresc" class="tmo'.$nrid.'" name="tresc" rows="10" cols="85" wrap="soft"></textarea>';
						echo '<input type="button" value="Wyślij odpowiedź" id="button_menu4" name="pz" class="wys'.$nrid.'">';
						echo '</form>';
				echo '</div>';	
			}
		} else {
			echo '<br />Brak pytań bez odpowiedzi<br /><br />';
		}
		echo '</div>';
		echo '<div id="odstep_as1"></div>';
		echo '<div id="pzo_odpowiedz2">';
		echo '<p id="zwierz_info">Twoje odpowiedzi</p>';
		if ($luo>0) {
			for ($i=0; $i<$luo; $i++) {
				echo '<div id="asystentzw_pytania" class="obo'.$i.'">';
				echo '<b>Pytanie</b><br />';
				echo $moje_odpowiedzi[$i][3].'<br /><br />';
				echo '------------------------------------------------------------<br />';
				echo '<b>Twoja odpowiedź</b><br />';
				echo $moje_odpowiedzi[$i][4].'<br /><br />';
				echo '</div>';
			}
		} else {
			echo '<br />Brak Twoich odpowiedzi<br />';
		}
		echo '</div>';
?>		
		
	</div>
 

 <script type="text/javascript">
 var pzo_id=-1;
<?php echo 'var uid_odp='.$uid.';'; ?>

   $(document).ready(function(){
	   animuj_tekst();
	   
	   function animuj_tekst() {
		   var div = $( "#zwierz_tytul" );
		div.animate( { 
			fontSize: '25px',
			opacity: '0.2',
			}, {
            duration: 1000,
            easing: 'easeOutBounce'
            })	
		div.animate( { 
			fontSize: '20px', 
			opacity: '1',
			}, {
            duration: 1000,
            easing: 'easeOutExpo'
            })
	   }
	   
		$(document).on("click", "#button_menu", function () {	
			var tkl = $(this).attr('class');
			var kl = tkl.slice(3, tkl.length);
			var nrp = parseInt(kl)+1;
			if (pzo_id>-1) {
				$('.obz'+pzo_id).attr('style',  'background-color: #F8F8E8');
				$('.pzp'+pzo_id).attr('style',  'display: none');
			}
			$('.obz'+kl).attr('style',  'background-color: #aFa');
			$('.pzp'+kl).attr('style',  'display: block');
			pzo_id=kl;
		});
		
		
		$(document).on("click", "#button_menu4", function () {	
			var tkl = $(this).attr('class');
			var kl = tkl.slice(3, tkl.length);
			var s = $('.tmo'+kl).val();
			
			if (s=='') {
				alert('Wpisz treść odpowiedzi...');
			} else {
				$.ajax({
						type:"POST", 
						url:"asystent/ajax/wa_zapisz_odpowiedz.php", 
						data: {k1:kl, k2:s, k3:uid_odp},						 
							success:function(s) {
								$('#pz_content').html(s);
							},
						error: function(blad) {
						alert( "Błąd: wysyłanie odpowiedzi");
						console.log(blad); 
						}
					});
			}
		});
   })
</script>
 
 